Delete a network for an SBM server

DELETE/v1/hosts/sbm_servers/{server_id}/networks/{network_id}

A DELETE request to the /v1/hosts/sbm_servers/{server_id}/networks/{network_id} endpoint will remove a specified network for a server mentioned in the path parameters.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of an SBM server. To get SBM server IDs, use a request to list all hosts and filter results by the sbm_server type.

network_id*string

A unique identifier of a network to be deleted. To find out an ID, go to the Network Pools section.

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/hosts/sbm_servers/w9aA6Bbv/networks/nXe09Gax"
{  "id": "nXe09Gax",  "title": "Private",  "status": "removed",  "cidr": "10.128.1.0/29",  "family": "ipv4",  "interface_type": "private",  "distribution_method": "gateway",  "additional": true,  "updated_at": "2026-05-28T06:57:19Z",  "created_at": "2026-05-28T06:57:19Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}
{  "message": "Not allowed upon reinstall",  "code": "NOT_ALLOWED_UPON_REINSTALL"}